Subject: Re: commit hooks on merge

From: Kurt Milligan <[email-masked]>
Date: Sat, 11 Jul 2009 07:56:36 -0400

Tim -

Thanks for the reply!

For completeness, my reason for wanting this hook is to be able to run 
some automated tests on the code.
I understand why you wouldn't want to execute a pre-commit hook on a 
merge that is just a fast-forward, but if it's not a fast-forward, then 
code is changing and automated tests could potentially fail...but the 
pre-commit hook is not run, and there is no pre-merge hook.

I searched the mailing lists, and it appears folks have submitted 
patches for both of these problems, but either they never made it into 
the tree or got rejected...but in any case, it implies that I'm not the 
only one with this concern.

Anyway, thanks for your suggestion...I will try that route!

Thanks

-Kurt

Tim Harper wrote:
> Kurt
>
> I don't think there is a hook to prevent a merge from occurring.  I
> mean, you could probably rename git-merge, and then put a wrapper
> script in its place.  That script could call the hook for the current
> repository, if it exists and you could implement pre-merge.
>
> This is if you REALLY REALLY want to do it :)
>
> Tim
>
> On Thu, Jun 25, 2009 at 1:43 PM, Kurt Milligan<[email-masked]> wrote:
>   
>> Hi
>>
>> I asked this in #git, and did a quick Google search to no avail...
>>
>> According to the docs, merge does an auto-commit, but it seems that the
>> pre/post commit hooks are not run for this commit. Is that intentional? Is
>> there a way I can make them run for the merge commit? I see there is a
>> post-merge hook, but that doesn't really help me if I want to stop the
>> merge...
>>
>> Thanks in advance
>>
>> -Kurt
>> --
>> To unsubscribe from this list: send the line "unsubscribe git" in
>> the body of a message to [email-masked]
>> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>>
>>